/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.wahlvorschlag.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.wahlvorschlag.entity.DirektkandidatConstants;
import de.ivu.elect.business.wahlvorschlag.entity.WahlvorschlagConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(DirektkandidatMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class DirektkandidatMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "direktkandidatMeta";

  @Inject
  private transient Messages messages;

  public DirektkandidatMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return DirektkandidatConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return DirektkandidatConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getDiscriminatorEinzahlMessageKey(){
    return WahlvorschlagConstants.MESSAGE_KEY_DISCRIMINATOR_EINZAHL;
  }

  public String getDiscriminatorMehrzahlMessageKey(){
    return WahlvorschlagConstants.MESSAGE_KEY_DISCRIMINATOR_MEHRZAHL;
  }


  public String getDiscriminatorEinzahlMessage(){
    return getMessage(getDiscriminatorEinzahlMessageKey());
  }

  public String getDiscriminatorMehrzahlMessage(){
    return getMessage(getDiscriminatorMehrzahlMessageKey());
  }



  public boolean isDiscriminatorRequired() {
    return !WahlvorschlagConstants.DISCRIMINATOR_NULLABLE;
  }

  public java.lang.String getDiscriminatorDefaultValue() {
    return WahlvorschlagConstants.DISCRIMINATOR_DEFAULT_VALUE;
  }

  public int getDiscriminatorMaxLength() {
    return WahlvorschlagConstants.DISCRIMINATOR_MAX_LENGTH;
  }

  public String getKennwortEinzahlMessageKey(){
    return WahlvorschlagConstants.MESSAGE_KEY_KENNWORT_EINZAHL;
  }

  public String getKennwortMehrzahlMessageKey(){
    return WahlvorschlagConstants.MESSAGE_KEY_KENNWORT_MEHRZAHL;
  }


  public String getKennwortEinzahlMessage(){
    return getMessage(getKennwortEinzahlMessageKey());
  }

  public String getKennwortMehrzahlMessage(){
    return getMessage(getKennwortMehrzahlMessageKey());
  }



  public boolean isKennwortRequired() {
    return !WahlvorschlagConstants.KENNWORT_NULLABLE;
  }

  public java.lang.String getKennwortDefaultValue() {
    return WahlvorschlagConstants.KENNWORT_DEFAULT_VALUE;
  }

  public int getKennwortMaxLength() {
    return WahlvorschlagConstants.KENNWORT_MAX_LENGTH;
  }

  public String getKurznameEinzahlMessageKey(){
    return WahlvorschlagConstants.MESSAGE_KEY_KURZNAME_EINZAHL;
  }

  public String getKurznameMehrzahlMessageKey(){
    return WahlvorschlagConstants.MESSAGE_KEY_KURZNAME_MEHRZAHL;
  }


  public String getKurznameEinzahlMessage(){
    return getMessage(getKurznameEinzahlMessageKey());
  }

  public String getKurznameMehrzahlMessage(){
    return getMessage(getKurznameMehrzahlMessageKey());
  }



  public boolean isKurznameRequired() {
    return !WahlvorschlagConstants.KURZNAME_NULLABLE;
  }

  public java.lang.String getKurznameDefaultValue() {
    return WahlvorschlagConstants.KURZNAME_DEFAULT_VALUE;
  }

  public int getKurznameMaxLength() {
    return WahlvorschlagConstants.KURZNAME_MAX_LENGTH;
  }

  public String getPrivilegierungsTypEinzahlMessageKey(){
    return WahlvorschlagConstants.MESSAGE_KEY_PRIVILEGIERUNGS_TYP_EINZAHL;
  }

  public String getPrivilegierungsTypMehrzahlMessageKey(){
    return WahlvorschlagConstants.MESSAGE_KEY_PRIVILEGIERUNGS_TYP_MEHRZAHL;
  }


  public String getPrivilegierungsTypEinzahlMessage(){
    return getMessage(getPrivilegierungsTypEinzahlMessageKey());
  }

  public String getPrivilegierungsTypMehrzahlMessage(){
    return getMessage(getPrivilegierungsTypMehrzahlMessageKey());
  }



  public boolean isPrivilegierungsTypRequired() {
    return !WahlvorschlagConstants.PRIVILEGIERUNGS_TYP_NULLABLE;
  }

  public de.ivu.elect.business.wahlvorschlag.entity.PrivilegierungsTyp getPrivilegierungsTypDefaultValue() {
    return WahlvorschlagConstants.PRIVILEGIERUNGS_TYP_DEFAULT_VALUE;
  }


  public String getUnterstuetzerErfassbarAbEinzahlMessageKey(){
    return WahlvorschlagConstants.MESSAGE_KEY_UNTERSTUETZER_ERFASSBAR_AB_EINZAHL;
  }

  public String getUnterstuetzerErfassbarAbMehrzahlMessageKey(){
    return WahlvorschlagConstants.MESSAGE_KEY_UNTERSTUETZER_ERFASSBAR_AB_MEHRZAHL;
  }


  public String getUnterstuetzerErfassbarAbEinzahlMessage(){
    return getMessage(getUnterstuetzerErfassbarAbEinzahlMessageKey());
  }

  public String getUnterstuetzerErfassbarAbMehrzahlMessage(){
    return getMessage(getUnterstuetzerErfassbarAbMehrzahlMessageKey());
  }



  public boolean isUnterstuetzerErfassbarAbRequired() {
    return !WahlvorschlagConstants.UNTERSTUETZER_ERFASSBAR_AB_NULLABLE;
  }

  public java.util.Date getUnterstuetzerErfassbarAbDefaultValue() {
    return WahlvorschlagConstants.UNTERSTUETZER_ERFASSBAR_AB_DEFAULT_VALUE;
  }


  public String getAnzahlUnterstuetzerGeeignetErfasstExternEinzahlMessageKey(){
    return WahlvorschlagConstants.MESSAGE_KEY_UNTERSTUETZER_EXTERN_GUELTIG_EINZAHL;
  }

  public String getAnzahlUnterstuetzerGeeignetErfasstExternMehrzahlMessageKey(){
    return WahlvorschlagConstants.MESSAGE_KEY_UNTERSTUETZER_EXTERN_GUELTIG_MEHRZAHL;
  }


  public String getAnzahlUnterstuetzerGeeignetErfasstExternEinzahlMessage(){
    return getMessage(getAnzahlUnterstuetzerGeeignetErfasstExternEinzahlMessageKey());
  }

  public String getAnzahlUnterstuetzerGeeignetErfasstExternMehrzahlMessage(){
    return getMessage(getAnzahlUnterstuetzerGeeignetErfasstExternMehrzahlMessageKey());
  }



  public boolean isAnzahlUnterstuetzerGeeignetErfasstExternRequired() {
    return !WahlvorschlagConstants.UNTERSTUETZER_EXTERN_GUELTIG_NULLABLE;
  }

  public java.lang.Long getAnzahlUnterstuetzerGeeignetErfasstExternDefaultValue() {
    return WahlvorschlagConstants.UNTERSTUETZER_EXTERN_GUELTIG_DEFAULT_VALUE;
  }

  public int getAnzahlUnterstuetzerGeeignetErfasstExternMaxLength() {
    return WahlvorschlagConstants.UNTERSTUETZER_EXTERN_GUELTIG_MAX_LENGTH;
  }

  public long getAnzahlUnterstuetzerGeeignetErfasstExternMinValue() {
    return WahlvorschlagConstants.UNTERSTUETZER_EXTERN_GUELTIG_MIN_VALUE;
  }

  public long getAnzahlUnterstuetzerGeeignetErfasstExternMaxValue() {
    return WahlvorschlagConstants.UNTERSTUETZER_EXTERN_GUELTIG_MAX_VALUE;
  }

  public String getAnzahlUnterstuetzerNichtGeeignetErfasstExternEinzahlMessageKey(){
    return WahlvorschlagConstants.MESSAGE_KEY_UNTERSTUETZER_EXTERN_UNGUELTIG_EINZAHL;
  }

  public String getAnzahlUnterstuetzerNichtGeeignetErfasstExternMehrzahlMessageKey(){
    return WahlvorschlagConstants.MESSAGE_KEY_UNTERSTUETZER_EXTERN_UNGUELTIG_MEHRZAHL;
  }


  public String getAnzahlUnterstuetzerNichtGeeignetErfasstExternEinzahlMessage(){
    return getMessage(getAnzahlUnterstuetzerNichtGeeignetErfasstExternEinzahlMessageKey());
  }

  public String getAnzahlUnterstuetzerNichtGeeignetErfasstExternMehrzahlMessage(){
    return getMessage(getAnzahlUnterstuetzerNichtGeeignetErfasstExternMehrzahlMessageKey());
  }



  public boolean isAnzahlUnterstuetzerNichtGeeignetErfasstExternRequired() {
    return !WahlvorschlagConstants.UNTERSTUETZER_EXTERN_UNGUELTIG_NULLABLE;
  }

  public java.lang.Long getAnzahlUnterstuetzerNichtGeeignetErfasstExternDefaultValue() {
    return WahlvorschlagConstants.UNTERSTUETZER_EXTERN_UNGUELTIG_DEFAULT_VALUE;
  }

  public int getAnzahlUnterstuetzerNichtGeeignetErfasstExternMaxLength() {
    return WahlvorschlagConstants.UNTERSTUETZER_EXTERN_UNGUELTIG_MAX_LENGTH;
  }

  public long getAnzahlUnterstuetzerNichtGeeignetErfasstExternMinValue() {
    return WahlvorschlagConstants.UNTERSTUETZER_EXTERN_UNGUELTIG_MIN_VALUE;
  }

  public long getAnzahlUnterstuetzerNichtGeeignetErfasstExternMaxValue() {
    return WahlvorschlagConstants.UNTERSTUETZER_EXTERN_UNGUELTIG_MAX_VALUE;
  }

  public String getWahlvorschlagStatusEinzahlMessageKey(){
    return WahlvorschlagConstants.MESSAGE_KEY_WAHLVORSCHLAG_STATUS_EINZAHL;
  }

  public String getWahlvorschlagStatusMehrzahlMessageKey(){
    return WahlvorschlagConstants.MESSAGE_KEY_WAHLVORSCHLAG_STATUS_MEHRZAHL;
  }


  public String getWahlvorschlagStatusEinzahlMessage(){
    return getMessage(getWahlvorschlagStatusEinzahlMessageKey());
  }

  public String getWahlvorschlagStatusMehrzahlMessage(){
    return getMessage(getWahlvorschlagStatusMehrzahlMessageKey());
  }



  public boolean isWahlvorschlagStatusRequired() {
    return !WahlvorschlagConstants.WAHLVORSCHLAG_STATUS_NULLABLE;
  }

  public de.ivu.elect.business.wahlvorschlag.entity.WahlvorschlagStatus getWahlvorschlagStatusDefaultValue() {
    return WahlvorschlagConstants.WAHLVORSCHLAG_STATUS_DEFAULT_VALUE;
  }


  public String getZeitpunktDerEinreichungEinzahlMessageKey(){
    return WahlvorschlagConstants.MESSAGE_KEY_ZEITPUNKT_DER_EINREICHUNG_EINZAHL;
  }

  public String getZeitpunktDerEinreichungMehrzahlMessageKey(){
    return WahlvorschlagConstants.MESSAGE_KEY_ZEITPUNKT_DER_EINREICHUNG_MEHRZAHL;
  }


  public String getZeitpunktDerEinreichungEinzahlMessage(){
    return getMessage(getZeitpunktDerEinreichungEinzahlMessageKey());
  }

  public String getZeitpunktDerEinreichungMehrzahlMessage(){
    return getMessage(getZeitpunktDerEinreichungMehrzahlMessageKey());
  }



  public boolean isZeitpunktDerEinreichungRequired() {
    return !WahlvorschlagConstants.ZEITPUNKT_DER_EINREICHUNG_NULLABLE;
  }

  public java.util.Date getZeitpunktDerEinreichungDefaultValue() {
    return WahlvorschlagConstants.ZEITPUNKT_DER_EINREICHUNG_DEFAULT_VALUE;
  }


  public String getZusatzbezeichnungEinzahlMessageKey(){
    return WahlvorschlagConstants.MESSAGE_KEY_ZUSATZBEZEICHNUNG_EINZAHL;
  }

  public String getZusatzbezeichnungMehrzahlMessageKey(){
    return WahlvorschlagConstants.MESSAGE_KEY_ZUSATZBEZEICHNUNG_MEHRZAHL;
  }


  public String getZusatzbezeichnungEinzahlMessage(){
    return getMessage(getZusatzbezeichnungEinzahlMessageKey());
  }

  public String getZusatzbezeichnungMehrzahlMessage(){
    return getMessage(getZusatzbezeichnungMehrzahlMessageKey());
  }



  public boolean isZusatzbezeichnungRequired() {
    return !WahlvorschlagConstants.ZUSATZBEZEICHNUNG_NULLABLE;
  }

  public java.lang.String getZusatzbezeichnungDefaultValue() {
    return WahlvorschlagConstants.ZUSATZBEZEICHNUNG_DEFAULT_VALUE;
  }

  public int getZusatzbezeichnungMaxLength() {
    return WahlvorschlagConstants.ZUSATZBEZEICHNUNG_MAX_LENGTH;
  }


  public String getGruppeImGebietEinzahlMessageKey(){
    return WahlvorschlagConstants.MESSAGE_KEY_GRUPPE_IM_GEBIET_ID_EINZAHL;
  }

  public String getGruppeImGebietEinzahlMessage(){
    return getMessage(getGruppeImGebietEinzahlMessageKey());
  }

  public boolean isGruppeImGebietRequired() {
    return !WahlvorschlagConstants.GRUPPE_IM_GEBIET_ID_NULLABLE;
  }


  public String getWvpWahlvorschlagDatenEinzahlMessageKey(){
    return WahlvorschlagConstants.MESSAGE_KEY_WVP_WAHLVORSCHLAG_DATEN_ID_EINZAHL;
  }

  public String getWvpWahlvorschlagDatenEinzahlMessage(){
    return getMessage(getWvpWahlvorschlagDatenEinzahlMessageKey());
  }

  public boolean isWvpWahlvorschlagDatenRequired() {
    return !WahlvorschlagConstants.WVP_WAHLVORSCHLAG_DATEN_ID_NULLABLE;
  }

}